summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:36:57 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:36:57 +0200
commitf517df9fc79666e2bfd37d5c2169061193f60c88 (patch)
treec6b5ce5072de4e7ecf90af4210c3c2aa076fdbcc
parent6b0bec112ec5eef0b22a1fa5d94bdef096fc3e6c (diff)
downloadslackbuilds-f517df9fc79666e2bfd37d5c2169061193f60c88.tar.gz
slackbuilds-f517df9fc79666e2bfd37d5c2169061193f60c88.tar.xz
network/konversation: Updated for version 1.2.1
-rw-r--r--network/konversation/doinst.sh12
-rw-r--r--network/konversation/konversation.SlackBuild57
-rw-r--r--network/konversation/konversation.info12
-rw-r--r--network/konversation/slack-desc10
4 files changed, 48 insertions, 43 deletions
diff --git a/network/konversation/doinst.sh b/network/konversation/doinst.sh
index 77d8ff3f2c..1f8ff67ded 100644
--- a/network/konversation/doinst.sh
+++ b/network/konversation/doinst.sh
@@ -1,8 +1,10 @@
-#!/bin/sh
-
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
-
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/konversation/konversation.SlackBuild b/network/konversation/konversation.SlackBuild
index 51b6712152..819e102afc 100644
--- a/network/konversation/konversation.SlackBuild
+++ b/network/konversation/konversation.SlackBuild
@@ -1,7 +1,8 @@
#!/bin/sh
-
+
# SlackBuild script for konversation
-# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+
+# Copyright 2007-2009 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,7 +25,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=konversation
-VERSION=1.1
+VERSION=${VERSION:-1.2.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,12 +35,17 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+SRC_VERSION=$(echo $VERSION | tr _ -)
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -47,9 +53,9 @@ set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM-$SRC_VERSION
+tar xvf $CWD/$PRGNAM-$SRC_VERSION.tar.bz2
+cd $PRGNAM-$SRC_VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -57,30 +63,25 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --disable-debug
-
-make
-make install DESTDIR=$PKG
+mkdir -p build
+( cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+ make VERBOSE=1
+ make install VERBOSE=1 DESTDIR=$PKG
+) || exit 1
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING* ChangeLog INSTALL README TODO VERSION \
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* ChangeLog INSTALL README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -89,4 +90,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/konversation/konversation.info b/network/konversation/konversation.info
index db67fd60d0..9ff3925547 100644
--- a/network/konversation/konversation.info
+++ b/network/konversation/konversation.info
@@ -1,8 +1,10 @@
PRGNAM="konversation"
-VERSION="1.1"
+VERSION="1.2.1"
HOMEPAGE="http://konversation.kde.org"
-DOWNLOAD="http://download.berlios.de/konversation/konversation-1.1.tar.bz2 "
-MD5SUM="0d38a16747ab4f6549863de385cb551c"
+DOWNLOAD="ftp://ftp.kde.org/pub/kde/stable/konversation/1.2.1/src/konversation-1.2.1.tar.bz2"
+MD5SUM="7d3c5d7f0062e8441b27ff549aa0029e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Michiel van Wessem"
-EMAIL="michiel.van.wessem@gmail.com"
-APPROVED="David Somero"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="Erik Hanson"
diff --git a/network/konversation/slack-desc b/network/konversation/slack-desc
index 4d33033e9a..9070b464d3 100644
--- a/network/konversation/slack-desc
+++ b/network/konversation/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------------|
konversation: Konversation (KDE IRC client)
-konversation:
+konversation:
konversation: Konversation is a user-friendly and highly configurable
konversation: Internet Relay Chat client for KDE.
-konversation:
+konversation:
konversation: Konversation has support for standard IRC features, SSL server
konversation: support, bookmarking support, multiple identities for different
konversation: servers, theme support, and much more.
-konversation:
-konversation: homepage: http://konversation.kde.org/
-konversation:
+konversation:
+konversation: Homepage: http://konversation.kde.org/
+konversation: